Lumen Hair for V4 by SWAM ()

3D Figure EssentialsHair

Lumen Hair for V4

Warning! Content Advisory:  Some images may contain content not suitable for all viewers

Requirements:  Poser 5+ or DAZ Studio 3 or 4, Figures to use it with: V4

Departments:
3D Figure EssentialsHair

Related Products


Berrit Hair for V4

By SWAM

16.95 USD     65% Off

5.99 USD

Sansa Hair for V4

By SWAM

16.95 USD

Harmony Hair for V4

By SWAM

16.95 USD     65% Off

5.99 USD


Customers Who Bought This Item Also Bought


Maggy Hair and OOT Hairblending

By outoftouch

16.99 USD     25.01% Off

12.74 USD